path: /build/build/gradle-bin-dev-java-3.4.1-3.4.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-java/gradle-bin:3.4.1 -pv -t && \
    emerge -j ${JOBS} --nodeps dev-java/gradle-bin:3.4.1
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gradle-bin && luet-portage --dir /pkgdir/gradle-bin
    dev-java/gradle-bin:3.4.1 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:beabf326ff047df136b45b7fc8e98e5afd0597e2bdb2a04a08ae16e8ccd731d1
  package:
    name: gradle-bin
    version: 3.4.1
    category: dev-java-3.4.1
    requires:
    - name: eselect-gradle
      version: '>=0'
      category: app-eselect
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A project automation and build tool with a Groovy based DSL
    uri:
    - http://www.gradle.org/
    license: Apache-2.0
    buildtimestamp: 2024-04-28 20:57:38.69073925 +0000 UTC m=+165.866918798
    labels:
      DEPEND: app-arch/zip app-eselect/eselect-gradle >=dev-java/java-config-2.2.0-r3
      IUSE: source doc examples elibc_FreeBSD
      RDEPEND: '>=virtual/jdk-1.6 >=dev-java/java-config-2.2.0-r3'
      emerge.packages: dev-java/gradle-bin:3.4.1
      kit: java-kit
      original.package.name: dev-java/gradle-bin
      original.package.slot: 3.4.1
      original.package.version: 3.4.1-r1
    treedir: /build/packages
  package_dir: /pkgdir/gradle-bin
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c60ce6c75e5c17e678cd44339c0a434ff8c51224bde52470758ec5f296f39b4c
compressiontype: zstd
files:
- usr/bin/gradle-3.4.1
- usr/share/doc/gradle-bin-3.4.1-r1/getting-started.html
- usr/share/doc/gradle-bin-3.4.1-r1/release-notes.html
- usr/share/gradle-bin-3.4.1/bin/gradle
- usr/share/gradle-bin-3.4.1/bin/gradle.bat
- usr/share/gradle-bin-3.4.1/lib/ant-1.9.6.jar
- usr/share/gradle-bin-3.4.1/lib/ant-launcher-1.9.6.jar
- usr/share/gradle-bin-3.4.1/lib/asm-all-5.1.jar
- usr/share/gradle-bin-3.4.1/lib/commons-collections-3.2.2.jar
- usr/share/gradle-bin-3.4.1/lib/commons-io-2.2.jar
- usr/share/gradle-bin-3.4.1/lib/commons-lang-2.6.jar
- usr/share/gradle-bin-3.4.1/lib/dom4j-1.6.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-base-services-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-base-services-groovy-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-cli-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-core-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-docs-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-installation-beacon-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-jvm-services-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-launcher-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-logging-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-messaging-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-model-core-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-model-groovy-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-native-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-open-api-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-process-services-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-resources-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-script-kotlin-0.5.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-tooling-api-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-ui-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-version-info-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/gradle-wrapper-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/groovy-all-2.4.7.jar
- usr/share/gradle-bin-3.4.1/lib/guava-jdk5-17.0.jar
- usr/share/gradle-bin-3.4.1/lib/jansi-1.14.jar
- usr/share/gradle-bin-3.4.1/lib/javax.inject-1.jar
- usr/share/gradle-bin-3.4.1/lib/jaxen-1.1.jar
- usr/share/gradle-bin-3.4.1/lib/jcip-annotations-1.0.jar
- usr/share/gradle-bin-3.4.1/lib/jcl-over-slf4j-1.7.10.jar
- usr/share/gradle-bin-3.4.1/lib/jul-to-slf4j-1.7.10.jar
- usr/share/gradle-bin-3.4.1/lib/kotlin-compiler-embeddable-1.1-M02.jar
- usr/share/gradle-bin-3.4.1/lib/kotlin-reflect-1.1-M02.jar
- usr/share/gradle-bin-3.4.1/lib/kotlin-runtime-1.1-M02.jar
- usr/share/gradle-bin-3.4.1/lib/kotlin-stdlib-1.1-M02.jar
- usr/share/gradle-bin-3.4.1/lib/kryo-2.20.jar
- usr/share/gradle-bin-3.4.1/lib/log4j-over-slf4j-1.7.10.jar
- usr/share/gradle-bin-3.4.1/lib/minlog-1.2.jar
- usr/share/gradle-bin-3.4.1/lib/native-platform-0.13.jar
- usr/share/gradle-bin-3.4.1/lib/native-platform-freebsd-amd64-libcpp-0.13.jar
- usr/share/gradle-bin-3.4.1/lib/native-platform-freebsd-amd64-libstdcpp-0.13.jar
- usr/share/gradle-bin-3.4.1/lib/native-platform-freebsd-i386-libcpp-0.13.jar
- usr/share/gradle-bin-3.4.1/lib/native-platform-freebsd-i386-libstdcpp-0.13.jar
- usr/share/gradle-bin-3.4.1/lib/native-platform-linux-amd64-0.13.jar
- usr/share/gradle-bin-3.4.1/lib/native-platform-linux-amd64-ncurses5-0.13.jar
- usr/share/gradle-bin-3.4.1/lib/native-platform-linux-amd64-ncurses6-0.13.jar
- usr/share/gradle-bin-3.4.1/lib/native-platform-linux-i386-0.13.jar
- usr/share/gradle-bin-3.4.1/lib/native-platform-linux-i386-ncurses5-0.13.jar
- usr/share/gradle-bin-3.4.1/lib/native-platform-linux-i386-ncurses6-0.13.jar
- usr/share/gradle-bin-3.4.1/lib/native-platform-osx-amd64-0.13.jar
- usr/share/gradle-bin-3.4.1/lib/native-platform-osx-i386-0.13.jar
- usr/share/gradle-bin-3.4.1/lib/native-platform-windows-amd64-0.13.jar
- usr/share/gradle-bin-3.4.1/lib/native-platform-windows-i386-0.13.jar
- usr/share/gradle-bin-3.4.1/lib/objenesis-1.2.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/aether-api-1.13.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/aether-connector-wagon-1.13.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/aether-impl-1.13.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/aether-spi-1.13.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/aether-util-1.13.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/aws-java-sdk-core-1.11.6.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/aws-java-sdk-kms-1.11.6.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/aws-java-sdk-s3-1.11.6.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/bcpg-jdk15on-1.51.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/bcprov-jdk15on-1.51.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/biz.aQute.bndlib-3.2.0.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/bsh-2.0b4.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/commons-cli-1.2.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/commons-codec-1.6.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/core-3.1.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/geronimo-annotation_1.0_spec-1.0.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-announce-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-antlr-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-build-cache-http-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-build-comparison-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-build-init-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-code-quality-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-composite-builds-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-dependency-management-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-diagnostics-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-ear-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-ide-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-ide-native-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-ide-play-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-ivy-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-jacoco-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-javascript-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-jetty-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-language-groovy-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-language-java-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-language-jvm-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-language-native-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-language-scala-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-maven-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-osgi-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-platform-base-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-platform-jvm-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-platform-native-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-platform-play-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-plugin-development-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-plugin-use-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-plugins-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-publish-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-reporting-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-resources-http-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-resources-s3-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-resources-sftp-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-scala-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-signing-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-test-kit-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-testing-base-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-testing-jvm-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-testing-native-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-tooling-api-builders-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gradle-workers-3.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/gson-2.7.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/hamcrest-core-1.3.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/httpclient-4.4.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/httpcore-4.4.4.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/ivy-2.2.0.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/jackson-annotations-2.6.6.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/jackson-core-2.6.6.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/jackson-databind-2.6.6.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/jatl-0.2.2.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/jcifs-1.3.17.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/jcommander-1.12.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/jetty-6.1.26.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/jetty-annotations-6.1.26.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/jetty-naming-6.1.26.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/jetty-plus-6.1.26.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/jetty-util-6.1.26.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/joda-time-2.8.2.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/jsch-0.1.53.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/jsp-2.1-6.1.14.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/jsp-api-2.1-6.1.14.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/junit-4.12.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/maven-aether-provider-3.0.4.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/maven-artifact-3.0.4.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/maven-compat-3.0.4.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/maven-core-3.0.4.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/maven-model-3.0.4.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/maven-model-builder-3.0.4.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/maven-plugin-api-3.0.4.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/maven-repository-metadata-3.0.4.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/maven-settings-3.0.4.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/maven-settings-builder-3.0.4.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/nekohtml-1.9.14.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/plexus-cipher-1.7.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/plexus-classworlds-2.4.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/plexus-component-annotations-1.5.5.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/plexus-container-default-1.5.5.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/plexus-interpolation-1.14.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/plexus-sec-dispatcher-1.3.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/plexus-utils-2.0.6.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/pmaven-common-0.8-20100325.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/pmaven-groovy-0.8-20100325.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/rhino-1.7R3.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/servlet-api-2.5-20081211.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/simple-4.1.21.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/snakeyaml-1.6.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/testng-6.3.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/wagon-file-2.4.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/wagon-http-2.4.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/wagon-http-shared4-2.4.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/wagon-provider-api-2.4.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/xbean-reflect-3.4.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/xercesImpl-2.9.1.jar
- usr/share/gradle-bin-3.4.1/lib/plugins/xml-apis-1.3.04.jar
- usr/share/gradle-bin-3.4.1/lib/reflectasm-1.07-shaded.jar
- usr/share/gradle-bin-3.4.1/lib/slf4j-api-1.7.10.jar
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/BUILD_TIME
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/CATEGORY
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/CBUILD
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/CFLAGS
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/CHOST
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/CONTENTS
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/COUNTER
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/CXXFLAGS
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/DEFINED_PHASES
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/DEPEND
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/DESCRIPTION
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/EAPI
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/FEATURES
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/HOMEPAGE
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/INHERITED
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/IUSE
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/IUSE_EFFECTIVE
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/KEYWORDS
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/LDFLAGS
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/LICENSE
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/PF
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/RDEPEND
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/SIZE
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/SLOT
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/USE
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/environment.bz2
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/gradle-bin-3.4.1-r1.ebuild
- var/db/pkg/dev-java/gradle-bin-3.4.1-r1/repository
package_cacheimage: ""
runtime:
  name: gradle-bin
  version: 3.4.1
  category: dev-java-3.4.1
  requires:
  - name: java-config
    version: '>=0'
    category: dev-java-2
  - name: jdk
    version: '>=0'
    category: virtual-17
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A project automation and build tool with a Groovy based DSL
  uri:
  - http://www.gradle.org/
  license: Apache-2.0
  labels:
    DEPEND: app-arch/zip app-eselect/eselect-gradle >=dev-java/java-config-2.2.0-r3
    IUSE: source doc examples elibc_FreeBSD
    RDEPEND: '>=virtual/jdk-1.6 >=dev-java/java-config-2.2.0-r3'
    emerge.packages: dev-java/gradle-bin:3.4.1
    kit: java-kit
    original.package.name: dev-java/gradle-bin
    original.package.slot: 3.4.1
    original.package.version: 3.4.1-r1
